Detta inlägg och WordPress PHP version minimikrav gäller alla WordPress.org webbplatser som har eget webbhotell och inte de som ligger hos WordPress.com.

På slutet av April 2019 är det planerat att WordPress 5.2 släpps och med detta kommer minimikrav för WP PHP version höjas till PHP version 5.6.20.

Även om vissa webbhotell har uppdaterat automatiskt till nyare PHP versioner så är det många som vill att kunderna själva uppdaterar manuellt för att minska på risken att många webbplatser slutar funka.

Vad kommer hända med webbplatsen ifall man inte uppdaterar till WordPress PHP version minimikrav

Alla WordPress webbplatser med en äldre PHP version kommer inte få senaste uppdatering alternativet i kontrollpanelen. Även om du försöker uppdatera WordPress manuellt så kommer uppdateringen inte lyckas.

Detta betyder att du kommer inte kunna få framtida WordPress och Plugin uppdateringar som innehåller både nya funktioner och säkerhetsuppdateringar vilket är en säkerhetsrisk för ert företags webbplats.

WordPress uppmanar att man uppdaterar till den rekommenderade PHP versionen som är 7.3.
Läs mer i originalinlägget på WordPress officiella blogg här.

Alla fördelar för WordPress webbplats med att uppdatera till en nyare PHP version

  • Säkerheten. Ni kommer få senaste säkerhetsuppdateringar för WP, tema och plugins
  • Prestanda & hastighet. Ert webbplats kommer funka bättre och laddas snabbare för både er och era användare.
  • Miljövänligt. Tack vare bättre prestanda kommer det behövas mindre energi för webbhotell hosting vilket är bättre för miljön.

Hur ser man i WordPress om man har en föråldrad PHP version och behöver uppdatera

Det finns flera olika sätt att kolla upp om ni har den senaste versionen eller om ni måste uppdatera snarast till nyare PHP version. Här är några av alternativen att välja mellan.

  • Installera en plugin som kollar upp PHP versionen. Gå till kontrollpanelen för att lägga till nytt plugin/tillägg och sök efter ’Display PHP Version’.
  • Kontakta ert utvecklare/digitalbyrå. Byrån bör kunna enkelt kolla upp vilken PHP version ni använder.
  • Kontakta ert webbhotell. Webbhotellet borde självklart kunna ge er enkelt och snabbt svar om vilken PHP version ni använder.

Innan ni uppdaterar ert företags webbplats till PHP 7.3

Oberoende ifall ifall ni har en mindre informations webbplats, större och mer avancerad webbplats eller e-handel webbplats så brukar vi alltid rekommendera en sak.
Innan man gör såna här större uppdateringar bör man först kolla upp i en testmiljö och säkra att alla WordPress teman och Plugins/Tillägg som ni har installerade funkar med just 7.3. Ibland så kan det hända att vissa av dessa slutar funka då dessa har inte uppdaterats av utvecklarna på ett tag.

Behöver du professionell hjälp med att uppdatera till senaste PHP versionen

Lyckas du inte uppdatera till den senaste PHP versionen eller får du ett svar från din webbhotell att det är inte möjligt så behöver du professionell hjälp.
Vi på Foomle design kan hjälpa dig uppdatera till den senaste PHP versionen och mycket mer inom webb. Klicka här för att kontakta oss idag och få en offert.